/*@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');*/

:root {
    --dark-navy: #020c1b;
    --navy: #0a192f;
    --light-navy: #112240;
    --lighter-navy: #112b53;
    --lightest-navy: #233554;
    --navy-shadow: rgba(2, 12, 27, 0.7);
    --dark-slate: #495670;
    --slate: #8892b0;
    --light-slate: #a8b2d1;
    --lightest-slate: #ccd6f6;
    --white: #e6f1ff;
    --green: #64ffda;
    --green-dull: #64ffdb77;
    --green-tint: #133040;
    --light-green-tint: #236053;
    --pink: #f57dff;
    --red: #ff3370;
    --blue: #288cff;
    --gold-light: #fff000;
    --gold-dark: #845f04;
    --font-sans: 'Calibre', 'Inter', 'San Francisco', 'SF Pro Text', -apple-system, system-ui, sans-serif;
    --font-mono: 'SF Mono', 'Fira Code', 'Fira Mono', 'Roboto Mono', monospace;
    --fz-xxs: 12px;
    --fz-xs: 13px;
    --fz-sm: 14px;
    --fz-md: 16px;
    --fz-lg: 18px;
    --fz-xl: 20px;
    --fz-xxl: 22px;
    --fz-heading: 32px;
    --border-radius: 4px;
    --nav-height: 100px;
    --nav-scroll-height: 70px;
    --tab-height: 42px;
    --tab-width: 120px;
    --easing: cubic-bezier(0.645, 0.045, 0.355, 1);
    --easing-crazy: cubic-bezier(.17, .67, .83, .67);
    --transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hidden {
    display: none;
}

.spin{
    animation: spin 1000ms linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

/*Colors============*/
.dark-slate-txt {
    color: var(--dark-slate);
}

.light-slate-txt {
    color: var(--light-slate);
}

.lightest-slate-txt {
    color: var(--lightest-slate);
}

.dark-navy-txt {
    color: var(--dark-navy);
}

.light-navy-txt {
    color: var(--light-navy);
}

.lightest-navy-txt {
    color: var(--lightest-navy);
}

.green-txt {
    color: var(--green);
}

/*============Colors*/
* {
    text-decoration: none;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    transition: var(--transition);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0 0 10px;
    font-weight: 600;
    color: var(--lightest-slate);
    line-height: 1.1;
}

/*Padding*/
.p-0 {
    padding: 0;
}

.p-1 {
    padding: 4px;
}

.p-2 {
    padding: 8px;
}

.p-3 {
    padding: 16px;
}

.p-4 {
    padding: 32px;
}

.p-5 {
    padding: 64px;
}

/*Margin*/
.m-0 {
    margin: 0;
}

.m-1 {
    margin: 4px;
}

.m-2 {
    margin: 8px;
}

.m-3 {
    margin: 16px;
}

.m-4 {
    margin: 32px;
}

.m-5 {
    margin: 64px;
}

.my-2 {
    margin-top: 16px;
    margin-bottom: 16px;
}
.mt-auto {
    margin-top: auto;
} 
.mb-auto {
    margin-bottom: auto;
}

.bg-green-tint {
    background-color: var(--green-tint);
}
.border-green-tint {
    border: 1px solid var(--green-tint);
}

.text-dark-slate{
    color: var(--dark-slate);
}

.d-flex {
    display: flex;
}

.flex-column {
    flex-direction: column;
}

.justify-sb {
    justify-content: space-between;
}

.justify-sa {
    justify-content: space-around;
}

.justify-se {
    justify-content: space-evenly;
}

.flex-row {
    flex-direction: row;
}

/*width*/
.w-100 {
    width: 100%;
}

.w-90 {
    width: 90%;
}

.w-75 {
    width: 75%;
}

.w-50 {
    width: 50%;
}

.w-25 {
    width: 25%;
}

.w-100vw {
    width: 100vw;
}

.w-90vw {
    width: 90vw;
}

.w-75vw {
    width: 75vw;
}

.w-50vw {
    width: 50vw;
}

.w-25vw {
    width: 25vw;
}

/*height*/
.h-1px {
    height: 1px;
}

.h-100 {
    height: 100%;
}

.h-75 {
    height: 75%;
}

.h-50 {
    height: 50%;
}

.h-25 {
    height: 25%;
}

.h-100vh {
    height: 100vh;
}

.h-90vh {
    height: 90vh;
}

.h-75vh {
    height: 75vh;
}

.h-50vh {
    height: 50vh;
}

.h-25vh {
    height: 25vh;
}

body {
    margin: 0;
    background-color: #0a192f;
    /* background-image: url('../images/seem.png'); */
    color: #c7d8f0;
    font-family: var(--font-sans);
    -webkit-font-smoothing: antialiased;
    counter-reset: section;
}

::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

::-webkit-scrollbar-thumb {
    background-color: var(--light-green-tint);
    border-radius: 5px;
}

::-webkit-scrollbar-track {
    width: 10px;
    background-color: transparent;
}

.app-body {
    display: flex;
    flex-direction: column;
    padding: 0 clamp(10px, 7vw, 80px);
    align-items: center;
}

.a-button {
    color: var(--green);
    border: 1px solid var(--green);
    padding: 7px 15px;
    border-radius: 3px;
    font-size: 13px;
    font-family: var(--font-mono);
}

.a-button:hover {
    background-color: var(--green-tint);
}

/*app body*/
#intro {
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    flex-direction: column;
    align-items: flex-start;
    min-height: 100vh;
    height: 100vh;
    padding: 0;
}

.section-vh {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    min-height: 100vh;
    overflow-x: hidden;
    padding: 80px 0;
}

.section-vh h1 {
    margin: 0 0 5px 4px;
    padding-top: 30px;
    color: var(--green);
    font-family: var(--font-mono);
    font-size: clamp(var(--fz-sm), 15vw, var(--fz-md));
    font-weight: 400;
}

.big-heading {
    margin: 0;
    font-weight: bolder;
    font-size: clamp(40px, 8vw, 80px);
}

.short-desc {
    color: var(--slate);
}

.description {
    color: var(--slate);
    margin-bottom: 20px;
}

.nav-menu {
    display: flex;
    align-items: center;
    gap: clamp(5px, 2vw, 40px);
}

.nav-menu,
.nav-menu-vert {
    list-style: none;
}

.nav-menu-vert {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.nav-menu-vert .numbered-link {
    padding: 20px;
    display: flex;
    align-items: center;
    font-size: large;

}

.side-bar,
.blur-layout {
    display: none;
}

.navbar {
    height: 60px;
    display: flex;
    width: 100%;
    align-items: center;
    padding: 0 clamp(10px, 7vw, 40px);
    justify-content: space-between;
    background-color: rgba(10, 25, 47, 0.50);
    backdrop-filter: blur(10px);
    position: fixed;
    z-index: 10;
    transition: all 200ms ease-in-out;
}

.numbered-link::before {
    content: "0" counter(link-counter) ".";
    color: var(--green);
}

ol {
    counter-reset: link-counter;
}

.numbered-link {
    counter-increment: link-counter;
    font-family: var(--font-mono);
    font-size: small;
    color: var(--light-slate);
}

.numbered-link:hover {
    color: var(--green);
}

.numbered-link {
    display: flex;
    -webkit-box-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    align-items: center;
    padding: 0;
    margin: 0;
}

.hamburger {
    display: none;
    cursor: pointer;
}

.bar {
    display: block;
    width: 25px;
    height: 3px;
    border-radius: 5px;
    margin: 5px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color: var(--green);
}

.numbered-heading::before {
    position: relative;
    z-index: -1;
    bottom: -3px;
    counter-increment: section 1;
    content: "0" counter(section) ".";
    margin-right: 10px;
    color: var(--green);
    font-family: var(--font-mono);
    font-size: clamp(var(--fz-md), 3vw, var(--fz-xl));
    font-weight: 400;
}

.numbered-heading {
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    position: relative;
    z-index: -1;
    margin: 10px 0 40px;
    width: 100%;
    font-size: clamp(20px, 5vw, var(--fz-heading));
    white-space: nowrap;

}

.numbered-heading::after {
    content: "";
    display: flex;
    flex: 1;
    position: relative;
    z-index: -1;
    top: 3px;
    width: 300px;
    height: 4px;
    margin-left: 20px;
    background-color: var(--lightest-navy);
}

.image-wrapper-container {
    display: inline-flex;
    height: auto;
    border-radius: 12px;
    color: var(--green);
    transform: translateZ(-30px);
}

.profile-img {
    border-radius: 10px;
    width: clamp(120px, 30vw, 280px);
    box-shadow: 0 0 0 var(--green);
    background-color: var(--green);
    filter: grayscale(100%);
}

.profile-img:hover {
    transform: translate(-5px, -5px);
    transition: all 0.2s ease-in-out;
    box-shadow: 5px 5px 0 var(--green);
    filter: grayscale(0);
}

.col-2-img {
    margin: 0 20px;
    display: flex;
    padding-top: 10px;
}

section {
    max-width: 900px;
    width: 100%;
}

.bullet {
    list-style-image: url('../images/list-bullet.svg');
}

/*Technologies list*/
.col-2-list {
    margin-left: 30px;
    columns: 2;
    font-family: var(--font-mono);
    column-gap: 20px;
    font-size: x-small;
}

.col-2-list ul {
    max-width: 20px;
}

.col-2-list li {
    width: 100%;
}

.img-link {
    cursor: pointer;
}

.about-container {
    display: flex;
}

.tabs {
    display: flex;
    gap: 10px;
}

.tabs p {
    font-weight: 400;
    color: var(--slate);
}

.tab {
    padding: 10px 10px 10px 10px;
    border-radius: 2px;
    margin: 5px;
}

.tab:hover {
    background-color: var(--green-tint);
}

.tab-active {
    background-color: var(--green-tint);
    color: var(--green);
}

.tab-active p {
    color: var(--green);
}

.tab-content {
    display: flex;
    flex-direction: column;
}

.tab-content h2 {
    margin-bottom: 10px;
}

.tab-nav p {
    font-weight: 400;
}

.hr-tab {
    border: 3px solid var(--green-tint);
    margin: 0 10px 0 0;
}

/*Multi-colors Text Animation*/
.text-anim {
    color: transparent;
    font-weight: bolder;
    background-image: linear-gradient(to right, var(--lightest-slate), var(--blue), var(--green), var(--lightest-slate), var(--blue), var(--green));
    background-clip: text;
    -webkit-background-clip: text;
    display: inline;
    padding-bottom: 10px;
    animation: multicolor-text 10s linear infinite;
    background-size: 500%;
}

/*Multi-colors Text Animation Gold*/
.text-anim-heroic {
    color: transparent;
    font-weight: bolder;
    background-image: linear-gradient(to right, var(--gold-light), var(--gold-dark), var(--gold-light), var(--gold-dark), var(--gold-light), var(--gold-dark));
    background-clip: text;
    -webkit-background-clip: text;
    display: inline;
    padding-bottom: 10px;
    animation: multicolor-text 10s linear infinite;
    background-size: 500%;
}

@keyframes multicolor-text {

    0% {
        background-position: 0 100%;
    }

    50% {
        background-position: 100% 0;
    }

    100% {
        background-position: 0 100%;
    }
}

.projects-cont {
    display: grid;
    grid-template-columns: auto auto auto;
    grid-gap: 20px;
}

.project-crd {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 10px;
    background-color: var(--light-navy);
    padding: 15px;
    height: 100%;
    width: auto;
}

.project-crd .go-top {
    display: none;
}

.project-crd .crd-layout {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 10px;
}

.project-crd:hover {
    transform: translateY(-5px);
    background-color: var(--lighter-navy);
}

.project-ftr {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}

.project-tecs {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    color: var(--green);
    font-family: var(--font-mono);
    font-size: x-small;
}

/* Underline *********************/
a {
    text-decoration: none;
    color: var(--green);
    display: inline-block;
    cursor: pointer;
}

a.underline::after {
    content: "";
    display: block;
    height: 0.1rem;
    margin-bottom: 5px;
    border-radius: 10px;
    width: 0;
    background-color: var(--green);
    bottom: 3px;
}

a.underline:hover::after {
    width: 100%;
    transition: all 200ms ease-in-out;
}

.indent {
    margin-left: 30px;
}

.fade-in {
    animation: fadeIn 500ms ease-in forwards;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.experience-card {
    animation: fadeIn 400ms ease-in-out;
}

.tab {
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.a-button {
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

@media screen and (max-width: 1000px) {
    .projects-cont {
        display: grid;
        grid-template-columns: auto auto;
        grid-gap: 20px;
    }

    .project-crd {
        width: auto;
    }
}

@media screen and (max-width: 640px) {
    .a-button {
        padding: 10px 15px;
    }

    .projects-cont {
        display: grid;
        grid-template-columns: auto;
        grid-gap: 10px;
    }

    .project-crd {
        width: auto;
    }

    .profile-img {
        width: clamp(100px, 70%, 200px);

    }

    .about-container {
        display: flex;
        flex-direction: column;
    }

    .nav-menu {
        display: none;
    }

    .hamburger {
        position: relative;
        display: block;
        flex-direction: column;
        margin: 0;
        padding: 8px;
        cursor: pointer;
        align-items: center;
        z-index: 2;
    }

    .hamburger.active .bar:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    .hamburger.active .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }

    .app-body {
        padding: 0 clamp(10px, 9vw, 80px);
        transition: var(--transition);
    }

    body.blur {
        overflow: hidden;
    }

    body.blur #content>* {
        transition: var(--transition);
        pointer-events: none;
        user-select: none;
    }

    body.blur .side-bar {
        justify-content: center;
        z-index: 1;
        transform: translateX(0vw);
        visibility: visible;

    }

    .blur-layout {
        position: fixed;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background-color: rgba(2, 12, 27, 0.8);
        backdrop-filter: blur(10px);
        transition: var(--easing);
        visibility: hidden;
    }

    body.blur .blur-layout {

        transform: translateX(0vw);
        visibility: visible;
    }

    .side-bar,
    #logo {
        z-index: 11;
    }

    .blur-layout {
        display: block;
        position: fixed;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        backdrop-filter: blur(10px);
        background-color: rgba(2, 12, 27, 0.8);
    }

    .side-bar {
        display: flex;
        -webkit-box-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        align-items: center;
        position: fixed;
        top: 0;
        bottom: 0;
        right: 0;
        padding: 50px 10px;
        width: min(75vw, 400px);
        height: 100vh;
        outline: 0;
        background-color: var(--light-navy);
        box-shadow: -10px 0 30px -15px var(--navy-shadow);
        z-index: 9;
        transform: translateX(100vw);
        visibility: hidden;
        transition: var(--transition);
    }
}

/* Styles for phone */
@media screen and (max-width: 480px) {

    .tabs {
        flex-direction: column;
        width: 100%;
    }

    .tab-nav {
        display: flex;
        top: 80px;
        flex-direction: row;
        overflow: auto;
    }

    .tab {
        width: fit-content;
    }

    .tab-nav:hover::-webkit-scrollbar-thumb {
        background-color: var(--green);
    }

    .hr-tab {
        border: 1px solid var(--green-tint);
    }
}

/* Flex like tailwind */
.flex {
    display: flex;
}

.flex-col {
    flex-direction: column;
}

.justify-between {
    justify-content: space-between;
}

.justify-around {
    justify-content: space-around;
}

.justify-evenly {
    justify-content: space-evenly;
}

.flex-row {
    flex-direction: row;
}

.flex-wrap {
    flex-wrap: wrap;
}

.align-baseline {
    align-items: baseline;
}

.align-center {
    align-items: center;
}

.align-start {
    align-items: flex-start;
}

.align-end {
    align-items: flex-end;
}

.items-baseline {
    align-items: baseline;
}

.items-center {
    align-items: center;
}

.items-start {
    align-items: flex-start;
}

.items-end {
    align-items: flex-end;
}

/* flex wrapping */
.flex-wrap {
    flex-wrap: wrap;
}

.bg-slate-100 {
    background-color: var(--slate);
}

.w-full {
    width: 100%;
}

.w-max {
    width: max-content;
}

.w-min {
    width: min-content;
}

.h-full {
    height: 100%;
}

.max-w-96 {
    max-width: 32rem;
}


.h-max {
    height: max-content;
}

.h-min {
    height: min-content;
}

.gap-1 {
    gap: 0.25rem;
}

.ms-auto {
    margin-left: auto;
}

.me-1 {
    margin-right: 0.25rem;
}

.me-2 {
    margin-right: 0.5rem;
}

.text-xs {
    font-size: 0.75rem;
}

.text-sm {
    font-size: 0.875rem;
}

.text-base {
    font-size: 1rem;
}

.text-lg {
    font-size: 1.125rem;
}

.text-green {
    color: var(--green);
}

.font-mono {
    font-family: var(--font-mono);
}

.italic {
    font-style: italic;
}

.underline {
    text-decoration: underline;
}
.border {
    border: 1px solid var(--green);
}


/* textarea min height */
.min-h-32 {
    min-height: 8rem;
}

.min-w-full {
    min-width: 99%;
}

.max-w-full {
    max-width: 99%;
}

/* md:max-w-476 px */
@media screen and (min-width: 476px) {
    .max-w-476 {
        max-width: 476px;
    }
}

.gap-2 {
    gap: 0.5rem;
}

/*  rounded */
.rounded-none {
    border-radius: 0;
}

.rounded-sm {
    border-radius: 0.25rem;
}

.rounded-md {
    border-radius: 0.375rem;
}

.rounded {
    border-radius: 0.75rem;
}

.rounded-lg {
    border-radius: 1rem;
}

.rounded-xl {
    border-radius: 1.5rem;
}

.rounded-2xl {
    border-radius: 2rem;
}

.rounded-3xl {
    border-radius: 3rem;
}

.rounded-full {
    border-radius: 9999px;
}

/*  shadow */
.shadow {
    box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
}

.shadow-md {
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
}

.shadow-lg {
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
}

.shadow-xl {
    box-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);
}

.shadow-2xl {
    box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
}

.shadow-inner {
    box-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);
}

.shadow-none {
    box-shadow: none;
}

.form-input {
    background-color: var(--green-tint);
    color: var(--green);
    padding: 12px;
    border-radius: 3px;
    font-size: 13px;
    font-family: var(--font-mono);
    outline: 1px solid var(--green-tint);
    border: 0;
    margin: 8px 2px;
}

.form-input::placeholder {
    color: var(--green-dull);
}

.form-input:hover,
.form-input:focus,
.form-input:active {
    outline-color: var(--green) !important;
}

.btn {
    background-color: var(--green);
    color: var(--green-tint);
    padding: 8px 12px;
    border-radius: 2px;
    font-size: 13px;
    font-family: var(--font-mono);
    outline: 3px solid var(--navy);
    border: 0;
    margin: 4px;
}

.btn:hover,
.btn:focus,
.btn:active {
    outline-color: var(--green-dull);
}


/* Styles for phone */
@media screen and (max-width: 400px) {
    .project-crd .go-top {
        display: inherit;
    }

    .project-ftr .go-bottom {
        display: none;
    }

    .project-tecs {
        display: flex;
        flex-wrap: wrap;
    }
}

/* QUILL OVERRIDES*/
.ql-snow {
    background-color: pink;
    border-radius: 10px 10px 0 0;

}

.quill {
    width: 100%;
    max-width: 900px;
    padding: 0 20px;
}

#editor {
    background-color: var(--dark-slate);
    color: #fff;
    border-radius: 0 0 7px 7px;
    border: 0;
}

.ql-editor.ql-blank::before {
    color: var(--light-slate);
    font-size: medium;
}

.ql-editor p {
    color: var(--lightest-slate);
    font-size: medium;
}

.ql-editor a {
    color: var(--green);
}

#ql-picker-options-0,
#ql-picker-options-1,
#ql-picker-options-2 {
    background-color: var(--light-slate);
    border-radius: 4px;
    border: 0;

}

.ql-picker-label {
    color: var(--light-slate);
}

/*>>>>>>>QUILL OVERRIDES*/